## mingw-w64-picosha2-1.0.1-1.src.tar.zst

=== example/CMakeLists.txt ===
add_executable(hasher hasher.cpp)
target_link_libraries(hasher PRIVATE picosha2)

add_executable(interactive_hasher interactive_hasher.cpp)
target_link_libraries(interactive_hasher PRIVATE picosha2)

=== test/CMakeLists.txt ===
include(CTest)

add_executable(unittest test.cpp)

target_link_libraries(unittest PRIVATE picosha2)

add_test(NAME unittest COMMAND unittest)

=== PKGBUILD ===
# Maintainer: llm96 <llm96@fervidex.net>

_realname=picosha2
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver="1.0.1"
pkgrel=1
pkgdesc="A header-file-only, SHA256 hash generator in C++ (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/okdshin/PicoSHA2"
license=('spdx:MIT')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc")
source=("${url}/archive/refs/tags/v${pkgver}.tar.gz")
sha256sums=('9983136544234e573fe07cc1a22fdf978ad7979043e7be2e9082f6d4991ff8a8')

package() {
  cd "${srcdir}/${_realname}-${pkgver}"

  install -Dm644 "picosha2.h" "${pkgdir}${MINGW_PREFIX}/include/picosha2.h"
  install -Dm644 "LICENSE" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
